ACM - unable to create new Edge Certificate

I have the need to support 3 levels deep subdomain (ex. *.foo.example.com) for all my proxied DNS records. I Understand this can be done by upgrading the Advanced Certificate Manager plan.
In my console, I go to SSL/TLS > Edge Certificates > and click order Advanced Certificate button.
I was challenged to upgrade my plan which I did, and now whenever I click on the same button, I still get challenged to purchase the new Advanced Certificate Manager ($10.00 / month). Even If I go through and make the purchase again, I get an error stating “that this plan already exists”.
What Do I do? I’m seem to be stuck in this horrible loop. Is this a bug with in the system, or am I doing something wrong?

This was resolved for me by CloudFlare’s support team. Thank you!

1 Like